package routes

import (
	"git.matterlinux.xyz/Matter/website/lib"
	"git.matterlinux.xyz/Matter/website/log"
	"github.com/gofiber/fiber/v2"
)

func GET_Download(c *fiber.Ctx) error {
	var (
		con lib.Content
		err error
	)

	if con, err = lib.GetContent("", "download"); err != nil {
		log.Error("GetContent failed: %s", err.Error())
		return lib.RenderError(c, 500)
	}

	return c.Render("download", fiber.Map{
		"content": con,
	})
}
